# Uses of Class
org.eclipse.mat.query.registry.QueryResult

Packages that use QueryResult
Package
Description
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.ui
User interface plug-in definitions and query execution for UI components (not API).
org.eclipse.mat.ui.internal.panes
Displays the results of queries as text or a table - user interface (not API).
org.eclipse.mat.ui.internal.viewer
Allows filtering of the display of tables and trees, for example excluding certain class names - user interface (not API).
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).

## Uses of QueryResult in org.eclipse.mat.query.registry

Methods in org.eclipse.mat.query.registry that return QueryResult
Modifier and Type
Method
Description
`QueryResult`
ArgumentSet.`execute(IProgressListener listener)`
Generate all the real arguments for an instance of a query, then execute the query.
`QueryResult`
Queries.`execute(IProgressListener listener)`
`QueryResult`
QueryResult.`getParent()`
Constructors in org.eclipse.mat.query.registry with parameters of type QueryResult
Modifier
Constructor
Description
``
`QueryResult(QueryResult parent, QueryDescriptor query, String command, IResult subject)`

## Uses of QueryResult in org.eclipse.mat.ui

Methods in org.eclipse.mat.ui with parameters of type QueryResult
Modifier and Type
Method
Description
`static void`
QueryExecution.`displayResult(MultiPaneEditor editor, PaneState originator, PaneState stateToReopen, QueryResult result, boolean isReproducable)`

## Uses of QueryResult in org.eclipse.mat.ui.internal.panes

Methods in org.eclipse.mat.ui.internal.panes that return QueryResult
Modifier and Type
Method
Description
`QueryResult`
QueryResultPane.`getSrcQueryResult()`

## Uses of QueryResult in org.eclipse.mat.ui.internal.viewer

Methods in org.eclipse.mat.ui.internal.viewer that return QueryResult
Modifier and Type
Method
Description
`QueryResult`
RefinedResultViewer.`getQueryResult()`
Constructors in org.eclipse.mat.ui.internal.viewer with parameters of type QueryResult
Modifier
Constructor
Description
``
`RefinedTableViewer(IQueryContext context, QueryResult result, RefinedTable table)`
``
`RefinedTreeViewer(IQueryContext context, QueryResult result, RefinedTree tree)`

## Uses of QueryResult in org.eclipse.mat.ui.util

Constructors in org.eclipse.mat.ui.util with parameters of type QueryResult
Modifier
Constructor
Description
``
`QueryContextMenu(AbstractEditorPane pane, QueryResult result)`
``
`QueryContextMenu(MultiPaneEditor editor, QueryResult result)`